#import "../../Fragments/System.graphql"

#import "../../Fragments/Blocks/CardGallery.graphql"

query GetDestinationOverviewPage($locale: String!, $uid: String!) {
  destination_overview_page(uid: $uid, locale: $locale) {
    heading
    url
    blocks {
      __typename
      ...CardGallery_DestinationOverviewPage
    }
    location {
      longitude
      latitude
      default_zoom
    }
    system {
      ...System
      created_at
      updated_at
    }
  }
  trackingProps: destination_overview_page(locale: "en", uid: $uid) {
    url
  }
}

query GetDestinationOverviewPageRefs($locale: String!, $uid: String!) {
  destination_overview_page(locale: $locale, uid: $uid) {
    blocks {
      __typename
      ...CardGallery_DestinationOverviewPageRefs
    }
    system {
      ...System
    }
  }
}

query GetDaDeEnUrlsDestinationOverviewPage($uid: String!) {
  de: destination_overview_page(locale: "de", uid: $uid) {
    url
  }
  en: destination_overview_page(locale: "en", uid: $uid) {
    url
  }
  da: destination_overview_page(locale: "da", uid: $uid) {
    url
  }
}

query GetFiNoSvUrlsDestinationOverviewPage($uid: String!) {
  fi: destination_overview_page(locale: "fi", uid: $uid) {
    url
  }
  no: destination_overview_page(locale: "no", uid: $uid) {
    url
  }
  sv: destination_overview_page(locale: "sv", uid: $uid) {
    url
  }
}
